package validate

import "testing"

func TestReadValidateXML(t *testing.T) {
	cfg, err := ReadXML("test.xml")
	if err != nil {
		t.Error(err)
		return
	}
	t.Log(cfg)
}

func TestLoadMustConfigure(t *testing.T) {
	LoadMustConfigure("./")
	t.Log(config)
}

func TestIs(t *testing.T) {
	LoadMustConfigure("./")

	tmp := map[string]interface{}{
		"testInt":        1,
		"testStringEnum": "Google",
	}

	if err := Is(tmp, "main.test"); err != nil {
		t.Error(err)
	}
}
